<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>WebSocket Example</title>
</head>
<body>
    <a href="/preferences">Settings</a>
    <input type="text" id="message" placeholder="Type a message">
    <button onclick="sendMessage()">Send</button>
    <div id="messages"></div>

    <script>
        const socket = new WebSocket("ws://localhost:8080/ws/");

        socket.onopen = function(event) {
            console.log("WebSocket is connected");
        };

        socket.onmessage = function(event) {
            console.log("Message from server:", event.data);
            displayMessage(event.data);
        };

        function sendMessage() {
            const messageInput = document.getElementById("message");
            const message = messageInput.value;
            socket.send(message);
            messageInput.value = "";
        }

        function displayMessage(message) {
            const messagesDiv = document.getElementById("messages");
            const messageParagraph = document.createElement("p");
            messageParagraph.textContent = message;
            // messagesDiv.appendChild(messageParagraph); 
            messagesDiv.innerHTML = message
        }
    </script>
</body>
</html>
